Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.client.xmldb
Class BinaryResourceImpl

    java.lang.Object
      com.dbxml.db.client.xmldb.BinaryResourceImpl

All Implemented Interfaces:
  org.xmldb.api.modules.BinaryResource, org.xmldb.api.base.Resource

public final class BinaryResourceImpl
extends java.lang.Object
implements org.xmldb.api.modules.BinaryResource

BinaryResourceImpl

Field Summary
`static java.lang.String` | `TYPE`

Fields inherited from interface org.xmldb.api.modules.BinaryResource
`RESOURCE_TYPE`

Constructor Summary
`BinaryResourceImpl(CollectionImpl parent, java.lang.String id, byte[] content)`

Method Summary
`java.lang.Object` | `getContent()`
`java.lang.String` | `getId()`
`org.xmldb.api.base.Collection` | `getParentCollection()`
`java.lang.String` | `getResourceType()`
`void` | `setContent(java.lang.Object value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Constructor Detail

### BinaryResourceImpl

    public BinaryResourceImpl(CollectionImpl parent,
                              java.lang.String id,
                              byte[] content)

Method Detail

### getParentCollection

    public org.xmldb.api.base.Collection getParentCollection()
                                                      throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getParentCollection` in interface `org.xmldb.api.base.Resource`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getId

    public java.lang.String getId()
                           throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getId` in interface `org.xmldb.api.base.Resource`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getResourceType

    public java.lang.String getResourceType()
                                     throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getResourceType` in interface `org.xmldb.api.base.Resource`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getContent

    public java.lang.Object getContent()
                                throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getContent` in interface `org.xmldb.api.base.Resource`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### setContent

    public void setContent(java.lang.Object value)
                    throws org.xmldb.api.base.XMLDBException

  Specified by:
    `setContent` in interface `org.xmldb.api.base.Resource`
  Throws:
    `org.xmldb.api.base.XMLDBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group